### DivCurl

Category

Transformation

Function

Computes the divergence and curl of a vector field.

Syntax

    div, curl = DivCurl(data, method);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`data` | vector field | none | field whose divergence and curl are to be computed.
`method` | string | "manhattan" | method to use

Outputs

Name | Type | Description
--- | --- | ---
`div` | scalar field | divergence field
`curl` | vector field | curl field

Functional Details

`data` | is the vector field to be operated on. The "data" component of the output fields (`div` and `curl`) contains the divergence and curl respectively. The other components of the original field remain unchanged in the output fields.
`method` | specifies the algorithm used to make the computation. Currently, the only method supported is "manhattan."

Components

Modifies the "data" component for the outputs. All other input components are propagated to the outputs.

Example Visual Program

    WindVorticity.net

See Also

Gradient, Streakline, Streamline

[ OpenDX Home at IBM | OpenDX.org ]